import request from '@/utils/request'

export function listTgScalperPhone(query) {
  return request({
    url: '/jarvis/tgScalperPhone/list',
    method: 'get',
    params: query
  })
}

export function getTgScalperPhone(id) {
  return request({
    url: '/jarvis/tgScalperPhone/' + id,
    method: 'get'
  })
}

export function addTgScalperPhone(data) {
  return request({
    url: '/jarvis/tgScalperPhone',
    method: 'post',
    data: data
  })
}

export function updateTgScalperPhone(data) {
  return request({
    url: '/jarvis/tgScalperPhone',
    method: 'put',
    data: data
  })
}

export function delTgScalperPhone(id) {
  return request({
    url: '/jarvis/tgScalperPhone/' + id,
    method: 'delete'
  })
}
